al_save_bitmap(3)

NAME

al_save_bitmap - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_save_bitmap(const char *filename, ALLEGRO_BITMAP *bitmap)

DESCRIPTION

Saves an ALLEGRO_BITMAP(3) to an image file. The file type is determined by the extension.

Returns true on success, false on error.

    Note: the core Allegro library does not support any image file formats by default. You must use the allegro_image addon, or register your own format handler.

SEE ALSO

al_save_bitmap_f(3), al_register_bitmap_saver(3), al_init_image_addon(3)